UserAuthentication (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.security

## Class UserAuthentication

- java.lang.Object
- - org.eclipse.jetty.security.UserAuthentication

- All Implemented Interfaces:
    Authentication, Authentication.User
  Direct Known Subclasses:
    FormAuthenticator.FormAuthentication

      public class UserAuthentication
      extends Object
      implements Authentication.User

  Version:
    $Rev: 4793 $ $Date: 2009-03-19 00:00:01 +0100 (Thu, 19 Mar 2009) $

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Authentication

      `Authentication.Challenge, Authentication.Deferred, Authentication.Failure, Authentication.ResponseSent, Authentication.SendSuccess, Authentication.User, Authentication.Wrapped`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jetty.server.Authentication

      `NOT_CHECKED, SEND_CONTINUE, SEND_FAILURE, SEND_SUCCESS, UNAUTHENTICATED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserAuthentication(String method, UserIdentity userIdentity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthMethod()`
    `UserIdentity` | `getUserIdentity()`
    `boolean` | `isUserInRole(UserIdentity.Scope scope, String role)`
    `void` | `logout()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserAuthentication

          public UserAuthentication(String method,
                            UserIdentity userIdentity)

  - ### Method Detail

    - #### getAuthMethod

          public String getAuthMethod()

      Specified by:
        `getAuthMethod` in interface `Authentication.User`

    - #### getUserIdentity

          public UserIdentity getUserIdentity()

      Specified by:
        `getUserIdentity` in interface `Authentication.User`

    - #### isUserInRole

          public boolean isUserInRole(UserIdentity.Scope scope,
                             String role)

      Specified by:
        `isUserInRole` in interface `Authentication.User`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### logout

          public void logout()

      Specified by:
        `logout` in interface `Authentication.User`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.